<?php
if (!isset($SITE)){
	header ("Location: ../index.php");	// back to index/startpage if someone tries an
	exit;  								//  page to load without menu system//
}
$pagename='hwaGraph.php';
$SITE['wsModules'][$pagename] = 'version 1.20 2013-01-15';
#  check to see this is the real script
$pfile = basename(__FILE__);
if ($pfile <> $pagename) {
	$SITE['wsModules'][$pfile]	= 'this file loaded instead of '.$pagename;
}
echo '<!-- module '.$pfile.' ==== '.$SITE['wsModules'][$pfile]." -->\n";
#-------------------------------------------------------------------------------

# first check which day parts we use. There are 8 or 9. so we can use 1-8 or 2-9  changed to 13 as of 2013-01-15
$cntMax 	= count($returnArray['forecast']) - 3;
$cntStart	= $cntMax - 9;
?>
<div>
<!-- <link rel="stylesheet" type="text/css" href="forecasts/hwa.css" media="screen" />  -->
<table class="verwachting" style=" border: none; width: 100%;">
  <tbody>
  <tr class="trLow">
    <td colspan="99" class="trLow"></td>
  </tr>
  <tr>
  
    <td class="tijd"><?php 
    $unixTime = 	$returnArray['request_info'][1]['timestamp'];
	echo  date($SITE['timeFormat'] , $unixTime).'</td>';
	$odd = false;
	for ($i = $cntStart; $i <= $cntMax; $i++) {
		$arr = $returnArray['forecast'][$i];
		if ($odd == true) {$odd = false; continue;} else {$odd = true;}	
		$unixTime = $arr['timestamp'];	
		echo '<td class="dagNaam row-dark" colspan="2">'.langtransstr(date('l', $unixTime)).'<br /><span class="dmj">'.date($SITE['dateOnlyFormat'], $unixTime).'</span></td>
		<td style="width: 6px;"></td>'.PHP_EOL;	
	}
	echo '</tr>'.PHP_EOL;
?>
  <tr>
    <td class="stationnaam table-top" colspan="16"><?php echo $SITE['organ']; ?></td>
  </tr>
  <tr class="">
    <td class="stationurl ajaxHead" colspan="16"><?php echo $SITE['siteUrl']; ?></td>
  </tr>
  
  <tr>
    
    <td class="toelichting"><?php langtrans('forecast'); ?></td>
<?php
	$odd = false;
	for ($i = $cntStart; $i <= $cntMax; $i++) {
		$arr = $returnArray['forecast'][$i];
		$notUsed = '';	$iconOut='';	$iconUrlOut = '';
		wsChangeIcon ('hwa',$arr['icon'], $iconOut, $arr['iconUrl'], $iconUrlOut, $notUsed);

		if ($odd == false) {
			$odd = true;	    
			echo '<td class="lwaarden row-dark"><img src="'.$iconUrlOut.'" alt ="" width ="40px" title="'.langtransstr($arr['weatherDesc']).'"/></td>';			
		} else {
			$odd = false;	
			echo '<td class="rwaarden"><img src="'.$iconUrlOut.'" alt ="" width ="40px" title="'.langtransstr($arr['weatherDesc']).'"/></td>';
			echo '<td></td>'.PHP_EOL;
		}
	}
?>
  </tr>
   
  <tr>
    <td class="toelichting"><?php 
    if ($returnArray['forecast'][$cntMax - $cntStart]['tempLowNU'] <> '') {$tekst = 'min/max'; } else {$tekst = 'max/min';}
    echo langtransstr('Temperature'). ' '.langtransstr($tekst).' '.$SITE['uomTemp']; 
    ?></td>
    <?php
	$odd = false;
	for ($i = $cntStart; $i <= $cntMax; $i++) {
		$arr = $returnArray['forecast'][$i];
		if ($odd == false) {
			$odd = true;	    
			echo '<td class="lwaarden row-dark">'.$arr['tempLowNU'].$arr['tempHighNU'].'</td>';			
		} else {
			$odd = false;	
			echo '<td class="rwaarden">'.$arr['tempLowNU'].$arr['tempHighNU'].'</td>';
			echo '<td></td>'.PHP_EOL;
		}
	}
?>
  </tr>
  <tr>
    <td class="toelichting"><?php echo langtransstr('Amount of rain').' ('.$SITE['uomRain'].')'; ?></td>
    <?php
	$odd = false;
	for ($i = $cntStart; $i <= $cntMax; $i++) {
		$arr = $returnArray['forecast'][$i];
		if ($odd == false) {
			$odd = true;	    
			echo '<td class="lwaarden row-dark">'.$arr['rainNU'].'</td>';			
		} else {
			$odd = false;	
			echo '<td class="rwaarden">'.$arr['rainNU'].'</td>';
			echo '<td></td>'.PHP_EOL;
		}
	}
?>
  </tr>

  <tr>
    <td class="toelichting"><?php langtrans('Chance of rain'); ?> (%)</td>
    <?php
	$odd = false;
	for ($i = $cntStart; $i <= $cntMax; $i++) {
		$arr = $returnArray['forecast'][$i];
		if ($odd == false) {
			$odd = true;	    
			echo '<td class="lwaarden row-dark">'.$arr['rainChance'].'</td>';			
		} else {
			$odd = false;	
			echo '<td class="rwaarden">'.$arr['rainChance'].'</td>';
			echo '<td></td>'.PHP_EOL;
		}
	}
?>

  </tr>
 <?php
  $thunder = false;
  for ($i = $cntStart; $i <= $cntMax; $i++) {
  	if ($returnArray['forecast'][$i]['thunderChance'] <> 0) { $thunder = true; break; }
  }
  if ($thunder == true) {
  ?>
	   <tr>
		<td class="toelichting"><?php echo langtransstr('Chance of Thunder'); ?> (%)</td>
		<?php
		$odd = false;
		for ($i = $cntStart; $i <= $cntMax; $i++) {
			$arr = $returnArray['forecast'][$i];
			if ($odd == false) {
				$odd = true;	    
				echo '<td class="lwaarden row-dark">'.$arr['thunderChance'].'</td>';			
			} else {
				$odd = false;	
				echo '<td class="rwaarden">'.$arr['thunderChance'].'</td>';
				echo '<td></td>'.PHP_EOL;
			}
		}
?>
  </tr>
<?php
} 
?>
  <?php
  $snow = false;
  for ($i = $cntStart; $i <= $cntMax; $i++) {
  	if ($returnArray['forecast'][$i]['snowChance'] <> 0) { $snow = true; break; }
  }
  if ($snow == true) {
  ?>
	   <tr>
		<td class="toelichting"><?php echo langtransstr('Chance of Snow'); ?> (%)</td>
		<?php
		$odd = false;
		for ($i = $cntStart; $i <= $cntMax; $i++) {
			$arr = $returnArray['forecast'][$i];
			if ($odd == false) {
				$odd = true;	    
				echo '<td class="lwaarden row-dark">'.$arr['snowChance'].'</td>';			
			} else {
				$odd = false;	
				echo '<td class="rwaarden">'.$arr['snowChance'].'</td>';
				echo '<td></td>'.PHP_EOL;
			}
		}
?>
  </tr>
<?php
} 
?>
  
  <tr>
    <td class="toelichting"><?php langtrans('Wind direction and force ')?> (Bft)</td>
    <?php
	$odd = false;
	for ($i = $cntStart; $i <= $cntMax; $i++) {
		$arr = $returnArray['forecast'][$i];
		if ($odd == false) {
			$odd = true;	    
			echo '<td class="lwaarden row-dark" style = "border-bottom-width: 1px;"><img src="'.$arr['windDirurl'].'" alt="" /><br />'.$arr['windSpeed'].'</td>';			
		} else {
			$odd = false;	
			echo '<td class="rwaarden" style = "border-bottom-width: 1px;"><img src="'.$arr['windDirurl'].'" alt="" /><br />'.$arr['windSpeed'].'</td>';	
			echo '<td></td>'.PHP_EOL;
		}
	}
?>  
 </tr>

  <tr>
    <td class="samenwerking" colspan="12">Samenwerking MeteoConsult/Hetweeractueel.nl</td><td colspan="2"></td>
  </tr>
  <tr class="trLow">
    <td colspan="99" height="3"></td>
  </tr>

</tbody></table>



</div>